import './card-proj-jump.css';
import {ExportOutlined} from '@ant-design/icons';
import {IProjJump} from "../../interfaces/card/ICardProj.ts";

export default function CardProjJump(props: IProjJump) {
    return (
        <div className="card-proj-jump" 
        style={{background:props.title=='预览系统'?'#F5FEFA':'#f3f3f3',boxShadow:props.title=='预览系统'?'0px 3px 0px 0px rgba(55,215,138,0.18)':''}}
        onClick={() => {
            if(!props.canBtnClick) {
                return;
            }
            props.handleJump();
        }}>
            <div className="title">
                <span className="label">{props.title}</span>
                <ExportOutlined style={{color: 'var(--color-note)'}}/>
            </div>
            <div className="desc">{props.desc}</div>
            <div className='downBoxx'></div>

        </div>
    )
}